From: "Lars Wendler" <polynomial-c@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-sound/audacity/
Date: Thu, 7 Dec 2017 11:17:12 +0000 (UTC) [thread overview]
Message-ID: <1512645429.b62dd3b2220735ceee02ba6e773c56f85f6ead6e.polynomial-c@gentoo> (raw)
commit: b62dd3b2220735ceee02ba6e773c56f85f6ead6e
Author: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 7 11:16:53 2017 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Thu Dec 7 11:17:09 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b62dd3b2
media-sound/audacity: Bump to version 2.2.1
Package-Manager: Portage-2.3.16, Repoman-2.3.6
media-sound/audacity/Manifest | 3 +-
media-sound/audacity/audacity-2.2.1.ebuild | 115 +++++++++++++++++++++++++++++
2 files changed, 117 insertions(+), 1 deletion(-)
diff --git a/media-sound/audacity/Manifest b/media-sound/audacity/Manifest
index e8f2e122009..45f8a51c000 100644
--- a/media-sound/audacity/Manifest
+++ b/media-sound/audacity/Manifest
@@ -1,3 +1,4 @@
DIST audacity-help-2.1.3.zip 20682229 SHA256 35a8f989ac8dfd24fa73716498feeffb82f838972280623309a557a3fa632a88 SHA512 4666d414628aaf611f98001350bdbcb761dac19ce4cc1e59d1a29e5d74056b9bfe4492a356bcd6c44aac9a3aaa24e30acd7bb9647ca10395fa8d5f0839f893ec WHIRLPOOL 413390d10f977da3ebd339ed7925a8e81efede5b322d0e5c96c21ab86f8dd3c800d9a5eaeb5a69a6655e7c76ba7010b0ccb4da14864d77891d3028da54d3de04
DIST audacity-minsrc-2.1.3.tar.xz 8073388 SHA256 c8fe1d52a58cef05390118a7f458f89252a3aa70155b78e8e25c92c4eeaabf31 SHA512 96e8bc49ef431b964d67857387cd9e5c1b398becfcaa452e26ef7617f267b7688617a5312d4a9873a24ee34986ea411148369e0ce138d86fea9b520e2c74a3ef WHIRLPOOL 730c962b6ff0861d9f96a58fb7d1c97af73cbf0072d3b8560c0250b4a37568741762d2891d8fb5097e6456a014e1ebe1dce4a41e039af5feb48d7bc454b67483
-DIST audacity-minsrc-2.2.0.tar.xz 10191924 SHA256 87635ed19ebcc80d6e4bb88d578c67277c63a02bd22d09d5489080ad216f606b SHA512 2b0cfbedce279faff4d26b8a8fc68730596891394a6cc7d9bce9d48f2e180d6ecdebfb87cdd381f1f92111a9d143d2ebd3906517206d888a2d922dc176a0f7ec WHIRLPOOL b171864dc0419a17d08693d9c97086021283601dc48c2487fc0a89264dd2ee30bfbf22264052564ef82f063ce9f3ae42a9df94486ac3f8041d50b96537473f29
+DIST audacity-minsrc-2.2.0.tar.xz 10191924 BLAKE2B e0f84978e351c9486302c3d07079932840e12c7c1b71ad7f45521cb513e18a468421326e7c595c9ea8f09370445dc9ab0cc07bbec1ad2e15ddad15cb1dccf605 SHA512 2b0cfbedce279faff4d26b8a8fc68730596891394a6cc7d9bce9d48f2e180d6ecdebfb87cdd381f1f92111a9d143d2ebd3906517206d888a2d922dc176a0f7ec
+DIST audacity-minsrc-2.2.1.tar.xz 8111992 BLAKE2B 99b4a7602ed8e03714ff8c59c226ba98fb35344964d5033e541079f7f12a71f6c5264aa60613d02cdb6f254d5a542dc9380e6dfbfd870f2f3536c031c0cec54e SHA512 92c094e4903c438b0aac27b1fb6c9ccc9ca089e4d3123769ff23e434de1e6a519482b42588a54f56afdf5d2013e5681fce3d143f9e092731a9511d4bba31cfaa
diff --git a/media-sound/audacity/audacity-2.2.1.ebuild b/media-sound/audacity/audacity-2.2.1.ebuild
new file mode 100644
index 00000000000..34176a73de4
--- /dev/null
+++ b/media-sound/audacity/audacity-2.2.1.ebuild
@@ -0,0 +1,115 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+inherit eutils wxwidgets xdg-utils
+
+MY_P="${PN}-minsrc-${PV}"
+DOC_PV="2.1.3"
+DESCRIPTION="Free crossplatform audio editor"
+HOMEPAGE="http://web.audacityteam.org/"
+SRC_URI="https://dev.gentoo.org/~polynomial-c/dist/${MY_P}.tar.xz
+ doc? ( https://dev.gentoo.org/~polynomial-c/dist/${PN}-help-${DOC_PV}.zip )"
+ # wget doesn't seem to work on FossHub links, so we mirror
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~mips ~ppc ~ppc64 ~x86"
+IUSE="alsa cpu_flags_x86_sse doc ffmpeg +flac id3tag jack +ladspa +lame libav
+ +lv2 mad +midi nls +portmixer sbsms +soundtouch twolame vamp +vorbis +vst"
+RESTRICT="test"
+
+RDEPEND=">=app-arch/zip-2.3
+ dev-libs/expat
+ >=media-libs/libsndfile-1.0.0
+ =media-libs/portaudio-19*
+ media-libs/soxr
+ x11-libs/wxGTK:3.0[X]
+ alsa? ( media-libs/alsa-lib )
+ ffmpeg? ( libav? ( media-video/libav:= )
+ !libav? ( >=media-video/ffmpeg-1.2:= ) )
+ flac? ( >=media-libs/flac-1.3.1[cxx] )
+ id3tag? ( media-libs/libid3tag )
+ jack? ( virtual/jack )
+ lame? ( >=media-sound/lame-3.70 )
+ lv2? ( media-libs/lv2 )
+ mad? ( >=media-libs/libmad-0.14.2b )
+ midi? ( media-libs/portmidi )
+ sbsms? ( media-libs/libsbsms )
+ soundtouch? ( >=media-libs/libsoundtouch-1.3.1 )
+ twolame? ( media-sound/twolame )
+ vamp? ( >=media-libs/vamp-plugin-sdk-2.0 )
+ vorbis? ( >=media-libs/libvorbis-1.0 )"
+DEPEND="${RDEPEND}
+ app-arch/xz-utils
+ virtual/pkgconfig
+ nls? ( sys-devel/gettext )"
+
+REQUIRED_USE="soundtouch? ( midi )"
+
+S="${WORKDIR}/${MY_P}-rc3"
+
+src_configure() {
+ local WX_GTK_VER="3.0"
+ need-wxwidgets unicode
+
+ # * always use system libraries if possible
+ # * options listed in the order that configure --help lists them
+ local myeconfargs=(
+ --disable-dynamic-loading
+ --enable-nyquist
+ --enable-unicode
+ --with-expat=system
+ --with-libsndfile=system
+ --with-libsoxr=system
+ --with-portaudio
+ --with-widgetextra=local
+ --with-wx-version=${WX_GTK_VER}
+ $(use_enable cpu_flags_x86_sse sse)
+ $(use_enable ladspa)
+ $(use_enable nls)
+ $(use_enable vst)
+ #$(use_with alsa)
+ $(use_with ffmpeg)
+ $(use_with flac libflac)
+ $(use_with id3tag libid3tag)
+ #$(use_with jack)
+ $(use_with lame)
+ $(use_with lv2)
+ $(use_with mad libmad)
+ $(use_with midi)
+ $(use_with sbsms)
+ $(use_with soundtouch)
+ $(use_with twolame libtwolame)
+ $(use_with vamp libvamp)
+ $(use_with vorbis libvorbis)
+ $(use_with portmixer)
+ )
+ econf "${myeconfargs[@]}"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+
+ # Remove bad doc install
+ rm -r "${D%/}"/usr/share/doc || die
+
+ # Install our docs
+ dodoc README.txt
+
+ if use doc ; then
+ docinto html
+ dodoc -r "${WORKDIR}"/{m,man,manual}
+ dodoc "${WORKDIR}"/{favicon.ico,index.html,quick_help.html}
+ fi
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+}
next reply other threads:[~2017-12-07 11:17 UTC|newest]
Thread overview: 73+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-12-07 11:17 Lars Wendler [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-05-17 14:58 [gentoo-commits] repo/gentoo:master commit in: media-sound/audacity/ David Seifert
2025-04-11 19:58 Miroslav Šulc
2025-03-13 14:42 Miroslav Šulc
2025-03-11 19:07 Miroslav Šulc
2025-01-25 9:38 Miroslav Šulc
2024-12-29 17:19 Miroslav Šulc
2024-12-29 17:19 Miroslav Šulc
2024-12-24 5:06 Sam James
2024-12-14 5:36 Miroslav Šulc
2024-10-31 19:20 Miroslav Šulc
2024-06-01 3:46 Ionen Wolkens
2024-05-17 18:26 Sam James
2024-04-17 19:20 Ionen Wolkens
2024-03-21 2:52 Sam James
2024-03-05 4:48 Sam James
2024-01-16 3:36 Sam James
2024-01-11 13:03 Sam James
2024-01-11 13:01 Sam James
2023-12-15 12:37 Arthur Zamarin
2023-12-15 3:30 Sam James
2023-12-15 3:26 Ionen Wolkens
2023-12-05 18:25 Ionen Wolkens
2023-12-04 10:20 Sam James
2023-10-03 14:44 Mike Gilbert
2023-10-02 7:02 Miroslav Šulc
2023-06-19 6:47 Miroslav Šulc
2023-06-07 5:19 Miroslav Šulc
2023-06-06 16:55 Arthur Zamarin
2023-05-01 8:32 Miroslav Šulc
2023-05-01 7:35 Arthur Zamarin
2023-03-02 6:43 Miroslav Šulc
2023-01-29 11:12 Miroslav Šulc
2023-01-21 16:18 Arsen Arsenović
2021-09-22 14:30 Yixun Lan
2021-08-16 21:28 Sam James
2020-09-13 8:44 Sergei Trofimovich
2020-09-09 21:59 Sergei Trofimovich
2020-09-07 8:59 Miroslav Šulc
2020-09-07 7:35 Sergei Trofimovich
2020-09-07 7:31 Sergei Trofimovich
2020-08-23 10:39 Miroslav Šulc
2020-08-06 7:33 Miroslav Šulc
2020-08-06 2:35 Sam James
2020-08-04 6:47 Miroslav Šulc
2020-08-03 5:00 Miroslav Šulc
2020-08-02 18:23 Miroslav Šulc
2020-08-02 11:10 Miroslav Šulc
2020-04-25 20:09 Mikle Kolyada
2020-02-12 14:14 Miroslav Šulc
2019-03-11 15:54 Lars Wendler
2018-11-04 22:26 Andreas Sturmlechner
2018-11-04 22:03 Sergei Trofimovich
2018-08-25 18:55 Sergei Trofimovich
2018-08-23 2:32 Mikle Kolyada
2018-08-23 1:41 Thomas Deutschmann
2018-08-22 17:07 Andreas Sturmlechner
2018-08-22 17:07 Andreas Sturmlechner
2018-02-21 10:18 Lars Wendler
2018-02-21 10:14 Lars Wendler
2018-02-21 10:14 Lars Wendler
2017-11-06 11:11 Lars Wendler
2017-11-06 11:09 Lars Wendler
2017-09-11 12:10 Alexis Ballier
2017-06-18 16:42 Alexis Ballier
2017-06-13 12:31 Agostino Sarubbo
2017-06-05 11:05 Agostino Sarubbo
2017-05-11 9:37 Lars Wendler
2017-05-11 9:37 Lars Wendler
2016-03-31 12:22 Lars Wendler
2015-11-08 10:07 Alexis Ballier
2015-11-08 10:07 Alexis Ballier
2015-10-30 15:21 Alexis Ballier
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1512645429.b62dd3b2220735ceee02ba6e773c56f85f6ead6e.polynomial-c@gentoo \
--to=polynomial-c@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox